Bug 64596 - EDITING: Paste Special Formula Overwrites Value
Summary: EDITING: Paste Special Formula Overwrites Value
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.0.0.alpha1
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Paste-Special
  Show dependency treegraph
 
Reported: 2013-05-14 17:33 UTC by me
Modified: 2019-02-01 20:40 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description me 2013-05-14 17:33:44 UTC
Problem description: When copying and pasting special (tested with  formula & formats) it writes over the data already in the cell that isn't related.

Steps to reproduce:
1. Copy row
2. Select rows to paste into - containing data.
3. Select paste special - formulas & formats.

Current behavior: Removes data but adds formula & format.

Expected behavior: Adds formula & formats to corresponding cells whilst maintaining present data in non corresponding cells.

              
Operating System: Windows 7
Version: 4.0.3.3 release
Last worked in: 4.0.2.2 release
Comment 1 Joel Madero 2013-05-14 18:34:52 UTC
Thank you for reporting this issue! I have been able to confirm the issue with the earliest version of bibisect:
Version 3.6.0.0.alpha1 
Platform: Bodhi Linux 2.2 x64
+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + 
As I've been able to confirm this problem on an earlier release I am changing the version number as version is the earliest version that we can confirm the bug, we use comments to say that the bug exists in newer versions as well.

Marking as:

New (confirmed)
Minor - not preventing professional quality work, slows it down a bit
Low - easy workaround, if no formula exists, don't paste formula


Note: Confirmed that this isn't the case with MSO - just for what it's worth. Also it's pasting empty formula that causes the problem, paste special -> format works fine, if you select formula, value goes away

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + 
LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link:
https://wiki.documentfoundation.org/QA/BugTriage

There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists/. 

Lastly, good bug reports help tremendously in making the process go smoother, please always provide reproducible steps (even if it seems easy) and attach any and all relevant material
Comment 2 Markus Mohrhard 2013-05-27 13:29:22 UTC
Is this a regression? At least the information provided here is not consistent. Please try to be careful with regression bugs and check if they are truely a regression otherwise you are going to make at least me ignore all of the regression bugs and concentrate on what I think is important.
Comment 3 Joel Madero 2013-05-28 20:42:37 UTC
Removed regression and bibisectrequest, this is that special case that I forgot to remove regression before. Apologies
Comment 4 QA Administrators 2015-03-04 02:21:17 UTC Comment hidden (obsolete)
Comment 5 Buovjaga 2015-03-22 14:07:49 UTC
Reproduced.

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI
Comment 6 tommy27 2016-04-16 07:26:54 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2017-05-22 13:23:12 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.7 or 5.3.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170522